//
// Copyright 2001 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wCmdView:
//   Issues a command and passes result to a result pane (cmdPane).
//   Command is either generated directly from the url, or in the
//   case of spec forms, it is generated with only -i option.


#ifndef p4wCmdView_H
#define p4wCmdView_H

#include "p4wRunView.h"

class p4wCmdView : public p4wRunView {

public:

	p4wCmdView(p4wRequest & Request, const char * cmd);
	
	virtual			~p4wCmdView();

	virtual void		RenderContent();

private:

	//
	// Commands that require special handling
	// are client cmd when in workspace mode,
	// Edit Pending Changelist form that has
	// buttons to do other commands, and label
	// create form.
	
	void			SetClientWSOpts();
	void			SetPendingChgOpts();
	void			SetSubmittedChgOpts();
	void			SetLabelCreateOpts();
	
	//
	// Command arguments are handled differently
	// if this is a simple spec -i command
	
	void			DoSpecArgAndTitle();
	void			DoCmdArgAndTitle();

	void			securityError();

	StrBuf			fCmd;
	StrArray		fFlags;
	StrBuf			fArgs;
	int			fIsSpec;
	int			fFiles;
	int			fHasFormData;
	int			fSpecHasFlags;
	
	//
	// will we replace a field in a spec form?
	
	int			fReplaceField;
	StrBuf			fNewField;
	StrBuf			fNewVal;
};

#endif // p4wCmdView_H

