//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wPathBrowserView:
//   Generates the commands for the Path Browser

#ifndef p4wPathBrowserView_H
#define p4wPathBrowserView_H


//
// Includes
#include "p4wView.h"
#include "p4wAllCommands.h"
#include "p4wFilePane.h"

//
// p4wPathBrowserView class
class p4wPathBrowserView : public p4wView {

public:
	//
	// Class constants


public:
	//
	// Constructors and destructor.
				p4wPathBrowserView(p4wRequest & Request, 
					AllCommands command);
	virtual			~p4wPathBrowserView();

	//
	// Render this view.
	virtual	void		RenderContent();
	virtual int		RenderUpdateOK();
	virtual void		RenderMenu();


private:
	void			fstatFileList(p4wFilePane *filePane, int useClientView);
	int			sendWSFiles(p4wFilePane *filePane, int sendFiles);

	//
	// Type of command
	AllCommands		fCommand;
};

#endif // p4wPathBrowserView_H

