//
// Copyright 2003 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wPrintView:
//	Issues p4 print command, passing result to p4wPrintPane

#include <stdlib.h>
#include <string.h>

#include <p4wp4.h>

#include "p4wView.h"
#include "p4wMenuPane.h"
#include "p4wPrintView.h"

#include "p4wPrintPane.h"


p4wPrintView::p4wPrintView( p4wRequest & Request )
	: p4wView( Request )
{
	//
	// Set the short and the long versions of the title
	
	fShortTitle.Set( "Print" );
	fFullTitle << "Print " << fRequest.GetPath();
}

p4wPrintView::~p4wPrintView()
{
}



// -------------------------------------
// Control item render functions.
//

void p4wPrintView::RenderContent()
{
	//
	// Send the print view pane.
	
	StrBuf path; 
	path << fRequest.GetPath();

	if (strstr(path.Text(), "...") || strchr(path.Text(), '*') || strchr(path.Text(), '?'))
	{
		fRequest << "<font color=\"#FF0000\">Wildcards not allowed with this command.</font>";
		return;
	}
	
	if( fRequest.GetDynArg( "rev1" ) != NULL )
		path << "#" << fRequest.GetDynArg( "rev1" );
		
	p4wPrintPane printPane( *this, fRequest );	
	const char *printPaneArgs[] = { "-q", path.Text() };
	fRequest.p4( "print", 2, printPaneArgs, &printPane );
	
	//
	// Wait for the pane to draw.
	
	fRequest.p4Wait();
}

void p4wPrintView::RenderMenu()
{
	//
	// Draw the menu bar
	
	p4wMenuPane menuPane( *this, fRequest, "filebrowser" );
	menuPane.Render( NULL );
}
