// Copyright 1999 (c) by Perforce Software, Inc.  All rights reserved.
//
// p4wRSSUserView:
//   The user view.


// -------------------------------------
// Includes
//
#include <stdlib.h>
#include <string.h>

#include <p4wp4.h>

#include "p4wView.h"
#include "p4wRSSUserView.h"
#include "p4wRSSUserPane.h"


//
// -------------------------------------
// Constructors and destructor.
//
p4wRSSUserView::p4wRSSUserView(p4wRequest & Request)
	: p4wView(Request)
{
}

p4wRSSUserView::~p4wRSSUserView()
{
}

// -------------------------------------
// Control item render functions.
//

void p4wRSSUserView::Render()
{
	//
	// Get the user spec

	p4wRSSUserPane rssUserPane(*this, fRequest);

	if( fRequest.GetURL().Length() == 0 ) {
		const char *rssUserPaneArgs[] = { "-o" };
		fRequest.p4("user", 1, rssUserPaneArgs, &rssUserPane);
	} else {
		const char *rssUserPaneArgs[] = { "-o", fRequest.GetURL().Text() };
		fRequest.p4("user", 2, rssUserPaneArgs, &rssUserPane);
	}

	//
	// Wait for the spec

	fRequest.p4Wait();

	//
	// Use the spec to generate the XML for the RSS feed.

	rssUserPane.Finish();
}
