//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wRelocate:
//   Base class for using LOCATION to remap urls to expected p4web url syntax

#ifndef p4wRelocate_H
#define p4wRelocate_H


//
// p4wRelocate class

class p4wRelocate : public p4wView {

public:
			p4wRelocate( p4wRequest & Request, AllCommands cmd );
	virtual		~p4wRelocate();

	//
	// Send page with LOCATION url
	
	int		DoRelocate();
	int		DoAddDefaults();
	int		DoForceDefaults();
	int		IsError() { return fError; }
	int		IsClose() { return fClose; }
	int		IsLoadUrl() { return fLoadUrl; }
	char *	GetNewURL() { return fNewURL.Text(); }
	
	StrBuf	ErrorMsg;
	int		fError;
	int		fClose;
	int		fLoadUrl;

private:	
	int 		generateURL();
	int 		sendPage();
	int			addDefs2URL();
	int			forceDefs2URL();
	void		remapBogusURL();
	void		escapeHashAt(char *p, StrPtr ptr);
	
	void		doWorkspaceCmd( AllCommands ac, const char *path = NULL );
	void		doPasswdCmd( const char *old, const char *newPasswd );

	p4wRequest	&fRequest;
	StrBuf		fNewURL;
	AllCommands	fCommand;
	int 		fNullPath;
	int 		fPasswordSet;
	StrPtr *	fCreateBtn;

};

#endif // p4wRelocate_H
