//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
//
// p4wUnlockProcessorView:
//   Parse the unlock form and run the unlock command

// -------------------------------------
// Includes
//
#include <stdlib.h>
#include <string.h>

#include <p4wp4.h>

#include "p4wUnlockProcessorView.h"

#include "p4wCmdPane.h"

//
// -------------------------------------
// Constructors and destructor.
//
p4wUnlockProcessorView::p4wUnlockProcessorView(p4wRequest & Request)
	: p4wRunView(Request)
{
	ProcessFormAction();		
	fAc = AC_UNLOCKFRM;
	
	//
	// Set the short and the long versions of the title.
	// If there is no POST data the title is "Error".
	
	if( !ProcessForm() ) {
		fShortTitle.Set( "Error" );
		fFullTitle.Set( "Error" );
		return;
	}
		
	fShortTitle.Set( "Command Result" );
	fFullTitle.Set( "Unlock Result" );
}

p4wUnlockProcessorView::~p4wUnlockProcessorView()
{
}

// -------------------------------------
// Control item render functions.
//

void p4wUnlockProcessorView::RenderContent()
{
	//
	// Issue unlock command (passing the results through a 
	// CmdPane).

	// Build a spec to parse the unlock options

	if( !ProcessForm() ) {
		RenderError("Requested URL is invalid in this context.");
		return;
	}

	//
	// Parse options and build up the command args

	title.Set("Unlock ");

	//
	// Process the files. If this returned an error don't issue command

	if( !AddFileArgs() ) 
		return;

	// Run unlock
	
	p4wCmdPane cmdPane(*this, fRequest, title.Text());
	fRequest.p4("unlock", 0, 0, &cmdPane);
	fRequest.p4Wait();
}

